ab.com コミュニティ

ActiveBasicを通したコミュニケーション
現在時刻 - 2017年9月22日(金) 08:11

All times are UTC+09:00




新しいトピックを投稿する  トピックへ返信する  [ 2 件の記事 ] 
作成者 メッセージ
 記事の件名: 素朴な疑問
投稿記事Posted: 2008年6月12日(木) 19:01 
少し疑問が沸きましたので皆さんの意見を聞いてみます。

開発言語としてのABについてですが、バージョンが変わると
サポートされなくなるような関数が有る場合、若しくは動作が変更になる場合
開発言語として、皆さんが継続使用する条件を満足しているのでしょうか?

あるバージョンでリリースされたどのような関数であれ、余程の欠陥を確認出来ない場合
以降のバージョンでは、サポートされるべきでは無いだろうかと思うし
変更する場合には、変更理由とその代替案ぐらいはアナウンスするべきだろう
という単純な話なのですが・・・

AB5とかのアナウンスがあるようですが、その方向性が見えないし
又、ひどい目にあいそうにも思ったりします。

勿論、サポートされなくなった関数でも有志諸兄によるエミュレート案等が存在したり
或いは、自作せざるを得なかったりする訳ですが
本末転倒というか、目的と手段を履違えているようにも思います。

どうでしょうか?
このコンパイラは唯のオタクのおもちゃでは無く、開発言語として使えますでしょうか?


通報する
ページトップ
   
 記事の件名:
投稿記事Posted: 2008年6月12日(木) 20:12 
オフライン

登録日時: 2005年7月25日(月) 13:27
記事: 893
住所: 埼玉県東松山市
私は開発用の言語として十分に使えると思います。
そもそも互換性の事を言い出したら実際に使われてるVBは(使った事ないんですが)VB6とVB.NETで互換性があまりないらしいですし。

確かに、顕著な例を挙げると
・AB2系で実行できたプログラムがAB3以降で実行できないことがある
・AB3系とAB4系とAB5系でString型の扱いがそれぞれ微妙に違うので上手く動かないことがある
・AB4.20用のコードはAB4.13では動かないことがある
などがあります。
しかし、そもそもABは発展途上にあるので、新しい文法が生まれるたびに前方互換性が薄くなるのは仕方の無い事だと思います。
バージョン違いで動かないコードは移植するか、環境側をデグレして動かすかすれば問題ありませんし。

そしてAB5については
・まだ実装する予定の機能がある
・一般に、CP版やβ版に存在した機能が完成品にあるとは限らない
・実用性考えるなら2~3年待ちなよ!安定するから
・今までのデータが使えなくても、前のバージョンが入手可能で、最新版は今までより楽に組めるなら問題ない
等が言えると思うのですが、どうでしょうか?

_________________
Website→http://web1.nazca.co.jp/himajinn13sei/top.html
ここ以外の場所では「暇人13世」というHNを主として使用。

に署名を書き換えて欲しいと言われたので暇だしやってみるテスト。


通報する
ページトップ
期間内表示:  ソート  
新しいトピックを投稿する  トピックへ返信する  [ 2 件の記事 ] 

All times are UTC+09:00


オンラインデータ

このフォーラムを閲覧中のユーザー: なし & ゲスト[1人]


トピック投稿:  可
返信投稿:  可
記事編集: 不可
記事削除: 不可
ファイル添付: 不可

検索:
ページ移動:  
cron
Powered by phpBB® Forum Software © phpBB Limited
Japanese translation principally by KONISHI Yohsuke